## org.eclipse.emf.mapping.impl
Class MappingRootImpl.MappedObjectStateAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.mapping.impl.MappingRootImpl.MappedObjectStateAdapterFactory

All Implemented Interfaces:
  AdapterFactory, IDisposable

Enclosing class:
  MappingRootImpl

    protected class MappingRootImpl.MappedObjectStateAdapterFactory

extends AdapterFactoryImpl
implements IDisposable

This is the factory that creates adapters for the objects being mapped. It must be disposed if the lifetime of the mapped objects is longer than the lifetime of the mapping root.

Field Summary
`protected Disposable` `disposable`

Constructor Summary
`MappingRootImpl.MappedObjectStateAdapterFactory()`

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` Returns either a previously associated adapter or a newly associated adapter, as appropriate.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)` Returns either the result of calling `adapt(Notifier, Object)` or the result of calling `resolve(Object, Object)`, depending on whether the target is a notifier.
`Adapter` `adaptNew(Notifier object, java.lang.Object type)` Creates an adapter by calling `createAdapter(Notifier, Object)` and associates it by calling `associate`.
`Adapter` `createAdapter(Notifier target)` Creates an `AdapterImpl`.
`void` `dispose()` This is called to dispose the object.
`boolean` `isFactoryForType(java.lang.Object type)` Returns `false`.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### disposable

    protected Disposable disposable

Constructor Detail

### MappingRootImpl.MappedObjectStateAdapterFactory

    public MappingRootImpl.MappedObjectStateAdapterFactory()

Method Detail

### createAdapter

    public Adapter createAdapter(Notifier target)

  Description copied from class: `AdapterFactoryImpl`
  Creates an `AdapterImpl`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the notifier to adapt.
  Returns:
    a new adapter.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier)`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Description copied from class: `AdapterFactoryImpl`
  Returns `false`.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Parameters:
    `type` - the key indicating the type of adapter in question.
  Returns:
    `false`.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  Description copied from interface: `AdapterFactory`
  Returns either a previously associated adapter or a newly associated adapter, as appropriate. It will check if the right type of adapter is already associated with the target and will return it in that case; otherwise, it will `create` a new adapter if possible.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`
  Parameters:
    `notifier` - the notifier to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    a previously existing associated adapter, a new associated adapter if possible, or `null` otherwise.
  See Also:
    `Adapter.setTarget(org.eclipse.emf.common.notify.Notifier)`, `AdapterFactory.adaptNew(org.eclipse.emf.common.notify.Notifier, java.lang.Object)`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Description copied from class: `AdapterFactoryImpl`
  Returns either the result of calling `adapt(Notifier, Object)` or the result of calling `resolve(Object, Object)`, depending on whether the target is a notifier.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`
  Parameters:
    `object` - arbitrary object to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    either an associated adapter or the object itself.
  See Also:
    `AdapterFactoryImpl.adapt(Notifier,Object)`, `AdapterFactoryImpl.resolve(Object, Object)`

### adaptNew

    public Adapter adaptNew(Notifier object,
                            java.lang.Object type)

  Description copied from class: `AdapterFactoryImpl`
  Creates an adapter by calling `createAdapter(Notifier, Object)` and associates it by calling `associate`.

  Specified by:
    `adaptNew` in interface `AdapterFactory`
  Overrides:
    `adaptNew` in class `AdapterFactoryImpl`
  Parameters:
    `object` - the notifier to adapt.
    `type` - the key indicating the type of adapter required.
  Returns:
    a new associated adapter.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier, Object)`, `AdapterFactoryImpl.associate(Adapter, Notifier)`

### dispose

    public void dispose()

  Description copied from interface: `IDisposable`
  This is called to dispose the object.

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.